#ifndef _HEXFILE_H_
#define _HEXFILE_H_

#include <stdint.h>


struct hexfile_t {
  FILE *hfp;
  uint16_t high16;
  uint16_t eofwritten;
};
typedef struct hexfile_t hexfile;

struct hexwords_t {
  uint16_t start;
  uint16_t high16;
  uint8_t count;
  int8_t checksum;
  uint16_t words[128];
};
typedef struct hexwords_t hexwords;


extern hexfile * hfOpen(hexfile *hf, const char *hfn);
extern hexfile * hfOpenWrite(hexfile *hf, const char *hfn);
extern void hfClose(hexfile *hf);
extern int hfReadAsWords(hexfile *hf, hexwords *hw);
extern int hfWriteWords(hexfile *hf, hexwords *hw);
extern void hfWriteEof(hexfile *hf);



#endif

